petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSNESGetObjective

get SNES objective evaluation function

### Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode DMSNESGetObjective(DM dm,PetscErrorCode (**obj)(SNES,Vec,PetscReal*,void*),void **ctx)

Not Collective

### Input Argument

dm -DM to be used with SNES

### Output Arguments

| obj | - residual evaluation function; see SNESObjectiveFunction for details
| ctx | - context for residual evaluation

### Note

SNESGetFunction() is normally used, but it calls this function internally because the user context is actually associated with the DM.

### See Also

DMSNESSetContext(), DMSNESSetObjective(), SNESSetFunction()

### Level

advanced

### Location

src/snes/utils/dmsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages